Name:          libmicrohttpd
Version:       0.9.75
Release:       1mamba
Summary:       A library embedding HTTP server functionality
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://www.gnu.org/software/libmicrohttpd/
Source:        ftp://ftp.gnu.org/gnu/libmicrohttpd/libmicrohttpd-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgnutls-devel
## AUTOBUILDREQ-END
BuildRequires: libgmp-devel
BuildRequires: libtasn1-devel
BuildRequires: p11-kit-devel
BuildRequires: graphviz
BuildRequires: doxygen
Requires(post): %{__install_info}
Requires(preun): %{__install_info}

%description
GNU libmicrohttpd is a small C library that is supposed to make it easy to run an HTTP server as part of another application.
Key features that distinguish libmicrohttpd from other projects are:
 * C library: fast and small
 * API is simple, expressive and fully reentrant
 * Implementation is http 1.1 compliant
 * HTTP server can listen on multiple ports
 * Support for IPv6
 * Support for incremental processing of POST data
 * Creates binary of only 25k (for now)
 * Three different threading models

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q
#sed -i "s|/home/grothoff/svn/libmicrohttpd|.|" doc/Doxyfile

%build
%configure --disable-static --with-gnutls
%make

#doxygen doc/Doxyfile

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# Install some examples
mkdir examples
install -m 644 src/examples/*.c examples

rm -f %{buildroot}%{_bindir}/demo

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info %{name}.info
exit 0

%preun devel
%uninstall_info %{name}.info
exit 0

%files
%defattr(-,root,root)
#%{_bindir}/microspdy2http
%{_libdir}/libmicrohttpd.so.*
#%{_libdir}/libmicrospdy.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/microhttpd.h
#%{_includedir}/microspdy.h
%{_libdir}/libmicrohttpd.la
%{_libdir}/libmicrohttpd.so
#%{_libdir}/libmicrospdy.la
#%{_libdir}/libmicrospdy.so
%{_libdir}/pkgconfig/libmicrohttpd.pc
#%{_libdir}/pkgconfig/libmicrospdy.pc
%{_mandir}/man3/libmicrohttpd.*
%{_infodir}/libmicrohttpd.info.*
%{_infodir}/libmicrohttpd-tutorial.info.*
%{_infodir}/libmicrohttpd_performance_data.png.gz
%doc NEWS README

#%files apidocs
#%defattr(-,root,root)
#%doc examples
#%doc doc/doxygen/html

%changelog
* Mon Dec 27 2021 Automatic Build System <autodist@mambasoft.it> 0.9.75-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 0.9.74-1mamba
- automatic version update by autodist

* Mon Apr 26 2021 Automatic Build System <autodist@mambasoft.it> 0.9.73-1mamba
- automatic version update by autodist

* Wed Dec 30 2020 Automatic Build System <autodist@mambasoft.it> 0.9.72-1mamba
- automatic version update by autodist

* Wed Jul 01 2020 Automatic Build System <autodist@mambasoft.it> 0.9.71-1mamba
- automatic version update by autodist

* Sun Feb 09 2020 Automatic Build System <autodist@mambasoft.it> 0.9.70-1mamba
- automatic version update by autodist

* Mon Dec 16 2019 Automatic Build System <autodist@mambasoft.it> 0.9.69-1mamba
- automatic version update by autodist

* Sun Oct 27 2019 Automatic Build System <autodist@mambasoft.it> 0.9.68-1mamba
- automatic version update by autodist

* Fri Oct 18 2019 Automatic Build System <autodist@mambasoft.it> 0.9.67-1mamba
- automatic version update by autodist

* Mon Aug 05 2019 Automatic Build System <autodist@mambasoft.it> 0.9.66-1mamba
- automatic version update by autodist

* Sun Jul 07 2019 Automatic Build System <autodist@mambasoft.it> 0.9.65-1mamba
- automatic version update by autodist

* Mon Jun 10 2019 Automatic Build System <autodist@mambasoft.it> 0.9.64-1mamba
- automatic version update by autodist

* Mon Feb 11 2019 Automatic Build System <autodist@mambasoft.it> 0.9.63-1mamba
- automatic version update by autodist

* Mon Dec 10 2018 Automatic Build System <autodist@mambasoft.it> 0.9.62-1mamba
- automatic version update by autodist

* Tue Dec 04 2018 Automatic Build System <autodist@mambasoft.it> 0.9.61-1mamba
- automatic version update by autodist

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 0.9.60-1mamba
- automatic version update by autodist

* Sat Feb 03 2018 Automatic Build System <autodist@mambasoft.it> 0.9.59-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 0.9.58-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 0.9.55-1mamba
- automatic version update by autodist

* Wed Apr 12 2017 Automatic Build System <autodist@mambasoft.it> 0.9.53-1mamba
- automatic version update by autodist

* Wed Nov 16 2016 Automatic Build System <autodist@mambasoft.it> 0.9.52-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 0.9.51-1mamba
- automatic update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 0.9.50-1mamba
- automatic version update by autodist

* Fri Apr 29 2016 Automatic Build System <autodist@mambasoft.it> 0.9.49-1mamba
- automatic version update by autodist

* Mon Feb 15 2016 Automatic Build System <autodist@mambasoft.it> 0.9.48-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 0.9.44-1mamba
- automatic version update by autodist

* Sun May 17 2015 Automatic Build System <autodist@mambasoft.it> 0.9.42-1mamba
- automatic version update by autodist

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 0.9.40-1mamba
- automatic update by autodist

* Wed Jan 14 2015 Automatic Build System <autodist@mambasoft.it> 0.9.39-1mamba
- automatic update by autodist

* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 0.9.38-1mamba
- automatic update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 0.9.37-1mamba
- automatic version update by autodist

* Sun May 11 2014 Automatic Build System <autodist@mambasoft.it> 0.9.35-1mamba
- automatic version update by autodist

* Wed Apr 09 2014 Automatic Build System <autodist@mambasoft.it> 0.9.34-1mamba
- automatic version update by autodist

* Wed Jan 22 2014 Automatic Build System <autodist@mambasoft.it> 0.9.33-1mamba
- automatic version update by autodist

* Tue Dec 10 2013 Automatic Build System <autodist@mambasoft.it> 0.9.32-1mamba
- automatic version update by autodist

* Tue Sep 10 2013 Automatic Build System <autodist@mambasoft.it> 0.9.30-1mamba
- automatic update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 0.9.29-1mamba
- automatic update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 0.9.28-1mamba
- automatic update by autodist

* Mon May 06 2013 Automatic Build System <autodist@mambasoft.it> 0.9.27-1mamba
- automatic version update by autodist

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 0.9.26-1mamba
- automatic version update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 0.9.25-1mamba
- automatic version update by autodist

* Sun Feb 17 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.9.25-1mamba
- package created by autospec
